'use client';
var jsxRuntime = require('react/jsx-runtime');
var iconsMaterial = require('@mui/icons-material');
var material = require('@mui/material');
var Button12s = require('./Button-12s-DrXMh9ho.js');
require('@mui/material/CircularProgress');
require('@mui/material/IconButton');
require('react');

const VisuallyHiddenInput = material.styled('input')({
    clip: 'rect(0 0 0 0)',
    clipPath: 'inset(50%)',
    height: 1,
    overflow: 'hidden',
    position: 'absolute',
    bottom: 0,
    left: 0,
    whiteSpace: 'nowrap',
    width: 1
});
const UploadButton = ({ acceptMimeTypes, handleAddFile, disabled = false, type = 'drag-and-drop', children })=>/*#__PURE__*/ jsxRuntime.jsxs(Button12s.Button, {
        variant: type === 'drag-and-drop' ? 'outlined' : 'text',
        component: "label",
        disabled: disabled,
        startIcon: type === 'compact-list' && /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.Add, {}),
        children: [
            children ?? 'Chose file',
            /*#__PURE__*/ jsxRuntime.jsx(VisuallyHiddenInput, {
                type: "file",
                hidden: true,
                onClick: (e)=>{
                    e.target.value = '';
                    e.stopPropagation();
                    if (disabled) {
                        e.preventDefault();
                    }
                },
                onChange: (e)=>{
                    if (disabled) return;
                    handleAddFile(e);
                },
                accept: acceptMimeTypes?.join(',')
            })
        ]
    });

exports.UploadButton = UploadButton;
