'use client';
var jsxRuntime = require('react/jsx-runtime');
var CircularProgress = require('@mui/material/CircularProgress');
var MuiIconButton = require('@mui/material/IconButton');
var React = require('react');
var Button12s = require('./Button-12s-DrXMh9ho.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var CircularProgress__default = /*#__PURE__*/_interopDefault(CircularProgress);
var MuiIconButton__default = /*#__PURE__*/_interopDefault(MuiIconButton);

/**
 * 表示一個可點擊的圖示按鈕元件，用於觸發相關的業務邏輯。
 *
 * 參考
 *  - [Material-UI IconButton](https://mui.com/material-ui/react-button/#icon-button)
 *  - [Material-UI Icons](https://mui.com/material-ui/material-icons/)
 *
 * @example
 *
 * ```tsx
 * <IconButton>
 *  <DeleteIcon fontSize="inherit" />
 * </IconButton>
 * ```
 */ const IconButton = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const { children, sx, loading = false, disabled = false, ...rest } = props;
    return /*#__PURE__*/ jsxRuntime.jsx(MuiIconButton__default.default, {
        ref: ref,
        sx: Button12s.mergeSx({
            '&.Mui-disabled': {
                pointerEvents: 'inherit',
                cursor: 'not-allowed'
            }
        }, sx),
        disabled: loading || disabled,
        ...rest,
        children: loading ? /*#__PURE__*/ jsxRuntime.jsx(CircularProgress__default.default, {
            color: "inherit",
            size: "1em"
        }) : children
    });
});

exports.IconButton = IconButton;
